Subject: Re: groff .ft command use in asciidoc

From: Alejandro Riveira Fernández <[email-masked]>
Date: Fri, 19 Nov 2010 00:15:14 +0100

El Thu, 18 Nov 2010 16:11:11 -0500
Drew Northup <[email-masked]> escribió:

> 
> On Thu, 2010-11-18 at 17:47 +0000, Alejandro Riveira Fernández wrote:
> > On Wed, 17 Nov 2010 04:15:16 -0600, Jonathan Nieder wrote:
>  
> > > This is in my opinion a bug: unless you use ASCIIDOC_NO_ROFF, git's
> > > asciidoc.conf will include raw roff directives in the docbook markup it
> > > generates.  And then docbook will escape the periods, producing the
> > > output you see.
> > > 
> > > The workaround is very simple: set ASCIIDOC_NO_ROFF to nonempty when you
> > > build documentation.
> > 
> >  I use make quick-install-man which, afaik, installs man pages 
> > "prerendered" from the man branch and i see the same artifact.
> >  
> >  So can those man pages be rendered with this workaraound?
> >  
> >  Thanks
> 
> Out of curiosity I went ahead and ran that make script. I then ran the
> following in the directory that the manpage directories were written out
> to (an alternate DESTDIR):

 Doh! ... the problem was between chair and keyboard. i used alternate DESTDIR
 with the make all and make install but with quick.-install-man i forgot to set 
 it; so the man pages were old versions from when i actually builded the man
 pages myself
 Sorry for the wasted time ...

> 
> [dnorthup@drew-northup man]$ grep -R "\.ft" *
> [dnorthup@drew-northup man]$ 
> 
 After correcting the above
 $ grep -R "\.ft" *
 man3/private-Error.3pm:.ft CW
 man3/private-Error.3pm:.ft R
 man3/Git.3pm:.ft CW
 man3/Git.3pm:.ft R
 
 Which are probably letfovers from previous builds ...
   
> Note that it returned nothing. This is based on the current git.git. (I
> just pulled to be sure of that...)

 Thanks for checking and again. Sorry

> 
> As noted, all that make script essentially does is write out the
> manpages found in origin/man--so it matters not what my current platform
> is.
> 
> Run "man git-commit" in one terminal open up a second and run "ps ax |
> grep man" and report on the results. 

 For the sake of completeness
  $ ps ax | grep man
    585 ?        S<     0:00 [kondemand]
   4994 ?        S      0:00 gnome-power-manager
  32649 pts/2    S+     0:00 man git-commit
  32690 pts/4    S+     0:00 grep man

 Bye.